RSGP - Bug #2634

Approval Cuti Mobile Failed, tapi Kalau Reject Success
03/06/2024 04:23 PM - shofwan shiddiq

Status: Closed Start date: 03/06/2024
Priority: Urgent Due date: 03/15/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Azid, Tolong di cek pada saat mau approval cuti. Pilih Reject bisa, namun Pilih Approve tidak bisa

API
/api/wf/requestWithoutAttachment

Json
{"worlflow_id":"721","status":"Submit","workflow_name":"Leave","absence_type":null,"quota_from":null,"quota_to":null,"delegate_to":n
ull,"duration":null,"duration_ovt":null,"remaining_quota":null,"description":null,"action":"400","comment":null,"date":"","date_from":"","d

ate_to":"","time_from":"","time_to":"","notes":"","reason":"","request_no":"721""office":"","latitude":"","longitude":"","day_type":"","atten
dance_type":"02","filename":null,"filetype":null,"filebase64":null}

Kalau Action 400 nya di ganti jadi 410 ( Reject ) maka Sukses
kemungkinan karena remain quota nya minus. kalau memang betul maka,

peeeee

1. tolong di berikan error handling di APl message supaya bisa di get di mobile.
2. perlu di beri validasi saat pengajuan dimana saat remain quota sudah minus tidak bisa mengajukan cuti lagi

,Terima Kasih.
Activation Code = rsgpdev

Server= remote.minovais.com,1442
Database = MinovaES_RSGP_Dev
Approver

Username = minovais
Password = 123Aa
Emp Id = 00000501

History

#1 - 03/13/2024 03:17 PM - Kezia Pawitra Yulianti
- Due date set to 03/15/2024
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 03/21/2024 03:29 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to shofwan shiddiq

untuk issue ini nanti sekalian di flow formula kaya di hr dan ess karena bisa minus

#3 - 03/27/2024 01:59 PM - shofwan shiddiq

- Status changed from Assigned to Closed
